=== java/Makefile ===
LANG=java
LANG_EXT=java
LIBS_PFX=

include ../rules.mk
