=== debian/changelog ===
radare2-bindings (0.8.8-1) unstable; urgency=low

  * initial release (Closes: #647755)

 -- Sebastian Reichel <sre@debian.org>  Sat, 05 Nov 2011 20:34:45 +0100
