=== debian/control ===
Source: radare2-bindings
Section: devel
Priority: extra
Maintainer: Sebastian Reichel <sre@debian.org>
X-Python-Version: >= 2.5
Build-Depends: debhelper (>= 8),
               libradare2-dev (>= 0.8.8),
               gobject-introspection,
               python-dev,
               swig,
               valabind,
               valac-0.14
Standards-Version: 3.9.2
Homepage: http://www.radare.org
Vcs-Browser: http://git.debian.org/?p=collab-maint/radare2-bindings.git
Vcs-Git: git://git.debian.org/collab-maint/radare2-bindings.git

Package: python-radare2
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for radare2
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
 for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extracter
 supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
 hash utility called rahash.
 .
 This package contains the Python bindings.

Package: radare2-vala
Architecture: all
Depends: ${misc:Depends}, libradare2-dev
Description: Vala bindings for radare2
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
 for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extracter
 supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
 hash utility called rahash.
 .
 This package contains the Vala bindings.
