=== debian/changelog ===
radare2-bindings (0.9-1) unstable; urgency=low

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Tue, 06 Dec 2011 02:13:31 +0100
