=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Sebastian Reichel <sre@debian.org>
 X-Python-Version: >= 2.5
 Build-Depends: debhelper (>= 8),
-               libradare2-dev (>= 0.8.8),
+               libradare2-dev (>= 0.9),
                gobject-introspection,
                python-dev,
                swig,
-               valabind,
+               valabind (>= 0.6.4),
                valac-0.14
 Standards-Version: 3.9.2
 Homepage: http://www.radare.org
@@ -28,7 +28,7 @@
  (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
  for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
  scripting facilities. A bindiffer named radiff, base converter (rax),
- shellcode development helper (rasc), a binary information extracter
+ shellcode development helper (rasc), a binary information extractor
  supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
  hash utility called rahash.
  .
@@ -36,7 +36,7 @@
 
 Package: radare2-vala
 Architecture: all
-Depends: ${misc:Depends}, libradare2-dev
+Depends: ${misc:Depends}, libradare2-dev (>= 0.9)
 Description: Vala bindings for radare2
  The project aims to create a complete, portable, multi-architecture,
  unix-like toolchain for reverse engineering.
@@ -46,7 +46,7 @@
  (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
  for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
  scripting facilities. A bindiffer named radiff, base converter (rax),
- shellcode development helper (rasc), a binary information extracter
+ shellcode development helper (rasc), a binary information extractor
  supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
  hash utility called rahash.
  .
