=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 override_dh_auto_test:
 	# do not test
 
+override_dh_auto_build:
+	make python2
+
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/tmp
 	make install-python install-vapi DESTDIR=$(CURDIR)/debian/tmp
