## radare2-bindings 0.9.6

=== Makefile ===
--- 
+++ 
@@ -1,31 +1,38 @@
--include config.mk
+# Requires ./configure
+include config.mk
+
+PREFIX?=/usr
 PYTHON2_CONFIG=python2.7-config
 PYTHON3_CONFIG=python3.2-config
 
 ifneq ($(shell bsdtar -h 2>/dev/null|grep bsdtar),)
-TAR=bsdtar czvf
-else
-TAR=tar -czvf
+TAR=bsdtar cJvf
+else
+TAR=tar -cJvf
 endif
 
 W32PY="${HOME}/.wine/drive_c/Python27/"
+
+ifneq ($(shell grep valac supported.langs 2>/dev/null),)
 INSTALL_TARGETS=install-vapi
+else
+INSTALL_TARGETS=
+endif
 
 LANGS=
 # Experimental:
-# LANGS+=gear
 # LANGS+=gir
-ALANGS=gir gear python ruby perl lua go java guile php5
+ALANGS=awk gir python ruby perl lua go java guile php5
 .PHONY: ${ALANGS}
 
 define ADD_lang
-ifneq ($(shell grep $(1) supported.langs),)
+ifneq ($(shell grep $(1) supported.langs 2>/dev/null),)
 LANGS+=$(1)
 INSTALL_TARGETS+=install-$(1)
 endif
 endef
 
-ifneq ($(shell grep python supported.langs),)
+ifneq ($(shell grep python supported.langs 2>/dev/null),)
 INSTALL_EXAMPLE_TARGETS+=install-python-examples
 endif
 
@@ -34,12 +41,17 @@
 .PHONY: ${INSTALL_TARGETS} ${INSTALL_EXAMPLE_TARGETS} ${LANG}
 
 ifeq ($(DEVEL_MODE),1)
-all: supported.langs ruby perl python lua go gear gir
+LANGS=$(shell cat supported.langs 2>/dev/null)
+all: supported.langs
+	@for a in ${LANGS} ; do \
+		[ $$a = valac ] && continue; \
+		(cd $$a && ${MAKE} ) ; done
+
 supported.langs:
 	CC=${CC} CXX=${CXX} sh check-langs.sh
 else
 # compile more
-all: supported.langs python lua gear gir
+all: supported.langs python lua gir
 supported.langs:
 	CC=${CC} CXX=${CXX} sh check-langs.sh force-all
 endif
@@ -78,18 +90,21 @@
 
 dist:
 	PKG=r2-bindings-${VERSION} ; \
-	FILES=`cd .. ; hg st -mac . | grep r2-bindings | grep -v '/\.' | sed -e "s,r2-bindings/,$${PKG}/," | cut -c 3-` ; \
+	DIR=`basename $$PWD` ; \
+	FILES=`git ls-files | sed -e s,^,r2-bindings-${VERSION}/,` ; \
 	CXXFILES=`cd .. ; find r2-bindings | grep -e cxx$$ -e py$$ | sed -e "s,r2-bindings/,$${PKG}/,"` ; \
-	cd .. && mv r2-bindings $${PKG} && \
+	cd .. && mv $${DIR} $${PKG} && \
 	echo $$FILES ; \
-	${TAR} $${PKG}.tar.gz $${FILES} $${CXXFILES} ; \
-	mv $${PKG} r2-bindings
+	${TAR} $${PKG}.tar.xz $${FILES} $${CXXFILES} ; \
+	mv $${PKG} $${DIR}
 
 # TODO: valadoc
 vdoc:
 	-rm -rf vdoc
 	cat vapi/r_*.vapi > libr.vapi
-	valadoc --package-version=${VERSION} --package-name=libr --driver 0.13.x -o vdoc libr.vapi
+	valadoc --package-version=${VERSION} --package-name=libr -o vdoc libr.vapi
+	sed -e 's,font-family:.*,font-family:monospace;,' vdoc/style.css > vdoc/.style.css
+	mv vdoc/.style.css vdoc/style.css
 	-rm -f libr.vapi
 	# rsync -avz vdoc/* pancake@radare.org:/srv/http/radareorg/vdoc/
 
@@ -110,7 +125,7 @@
 	cd $@ && ${MAKE}
 
 go::
-	[ -x "${GOBIN}/5g" -o -x "${GOBIN}/6g" -o -x "${GOBIN}/8g" ]
+	@-[ -x "${GOBIN}/5g" -o -x "${GOBIN}/6g" -o -x "${GOBIN}/8g" ]
 
 test:
 	cd perl && ${MAKE} test
@@ -121,14 +136,20 @@
 	cd go && ${MAKE} test
 	cd java && ${MAKE} test
 
-PYTHON?=python
+PYTHON?=`pwd`/python-wrapper
 PYTHON_VERSION?=`${PYTHON} --version 2>&1 | cut -d ' ' -f 2 | cut -d . -f 1,2`
 PYTHON_PKGDIR=$(shell ${PYTHON} mp.py)
 PYTHON_INSTALL_DIR=${DESTDIR}/${PYTHON_PKGDIR}/r2
 
-.PHONY: purge purge-python
-
-purge: purge-python
+.PHONY: purge purge-python install-cxx
+
+purge: purge-python purge-java
+
+install-cxx:
+	@echo TODO: install-cxx
+
+purge-java:
+	cd java && ${MAKE} purge
 
 purge-python:
 	[ -n "${PYTHON_PKGDIR}" ] && \
@@ -136,18 +157,25 @@
 	rm -rf ${PYTHON_INSTALL_DIR}
 
 install-python:
+	[ -e python/_r_core.${SOEXT} ] && true
 	E=${SOEXT} ; [ `uname` = Darwin ] && E=so ; \
 	echo "Installing python${PYTHON_VERSION} r2 modules in ${PYTHON_INSTALL_DIR}" ; \
 	mkdir -p ${PYTHON_INSTALL_DIR} ; \
 	: > ${PYTHON_INSTALL_DIR}/__init__.py ; \
 	cp -rf python/r_*.py python/*.$$E ${PYTHON_INSTALL_DIR}
 
-install-lua:
-	for a in 5.1 ; do \
-		mkdir -p ${DESTDIR}${PREFIX}/lib/lua/$$a ; \
-		echo "Installing lua$$a r2 modules..." ; \
-		cp -rf lua/*.${SOEXT} ${DESTDIR}${PREFIX}/lib/lua/$$a ; \
-	done
+LUAPATH=$(shell strings `../sys/whereis.sh lua`| grep lib/lua | cut -d ';' -f 2 | grep '.so'  | cut -d '?' -f 1)
+
+LUAPKG=$(shell pkg-config --list-all|awk '/lua|lua-/{print $$1;}')
+ifneq (${LUAPKG},)
+LUADIR=$(shell pkg-config --variable=INSTALL_CMOD ${LUAPKG})
+lua-install install-lua:
+	@mkdir -p ${DESTDIR}${LUADIR} ; \
+	echo "Installing lua r2 modules... ${DESTDIR}${LUADIR}" ; \
+	cp -rf lua/*.so ${DESTDIR}${LUADIR}/
+else
+lua-install install-lua:
+endif
 
 install-go:
 	@. ./go/goenv.sh ; \
@@ -159,7 +187,7 @@
 	fi
 
 install-java:
-	@echo "TODO: install-java"
+	cd java && ${MAKE} install
 
 install-ruby:
 	for a in 1.8 1.9.1; do \
@@ -184,6 +212,12 @@
 	mkdir -p ${DESTDIR}${PREFIX}/share/vala/vapi
 	${INSTALL_DATA} vapi/*.vapi vapi/*.deps ${DESTDIR}${PREFIX}/share/vala/vapi
 
+AWKDIR=${DESTDIR}${PREFIX}/lib/radare2/${VERSION}/awk
+install-awk:
+	mkdir -p ${AWKDIR}
+	sed -e 's,@AWKDIR@,${AWKDIR},g' < awk/r2awk > ${DESTDIR}${PREFIX}/bin/r2awk
+	cp -f awk/* ${AWKDIR}/
+
 install-gir:
 	cd gir && ${MAKE} install
 
@@ -212,8 +246,10 @@
 
 clean:
 	@for a in $(LANGS); do \
+		if [ -d $$a ]; then \
 		echo "Cleaning $$a " ; \
-		cd $$a ; ${MAKE} clean ; cd .. ; \
+		( cd $$a && ${MAKE} clean ) ; \
+		fi ; \
 	done
 
 mrproper:
@@ -222,8 +258,8 @@
 version:
 	@echo ${VERSION}
 
-.PHONY: $(LANGS) $(ALANGS) 
-.PHONY: clean mrproper all vdoc 
-.PHONY: oldtest test 
-.PHONY: w32 w32dist check check-w32 
+.PHONY: $(LANGS) $(ALANGS)
+.PHONY: clean mrproper all vdoc
+.PHONY: oldtest test
+.PHONY: w32 w32dist check check-w32
 .PHONY: deinstall uninstall install version
