=== ctypes/Makefile ===
LANG=ctypes
LANG_EXT=py
LIBS_PFX=
FORCE_SOEXT=1
MY_SOEXT=py

include ../rules.mk
