=== debian/changelog ===
radare2-bindings (0.9.6-4) unstable; urgency=low

  * debian/watch: Updated as it seems that pancake is releasing .tar.xz now.
  * debian/control: This new API breaks bokken << 1.7.

 -- David Martínez Moreno <ender@debian.org>  Fri, 17 Jan 2014 09:13:31 -0800

radare2-bindings (0.9.6-3) unstable; urgency=medium

  * debian/control: Switched Sebastian and myself as Maintainer/Uploader.
  * debian/patches/04_add_openjdk_includedir: Change the javahelper script
    output to just the output of dpkg-architecture -qDEB_HOST_ARCH.  Otherwise
    it FTBFS in armel, armhf, powerpc and powerpcsp.  Thanks to Roland Stigge
    for the bug report (closes: #733982).

 -- David Martínez Moreno <ender@debian.org>  Sat, 04 Jan 2014 01:39:49 -0800

radare2-bindings (0.9.6-2) unstable; urgency=medium

  * I'm stupid, I have been injecting paths with '-amd64' instead of
    $(JAVA_ARCH), causing everyone to fail building the sources.  Gah!
  * debian/patches/04_add_openjdk_includedir: Use JAVA_ARCH generation from
    javahelper to construct the include path.  Thanks for the hint, Aaron Ucko
    (closes: #733908).

 -- David Martínez Moreno <ender@debian.org>  Thu, 02 Jan 2014 01:57:27 -0800

radare2-bindings (0.9.6-1) unstable; urgency=low

  * New Year's release.  Just in time!
  * New upstream release.  The biggest change is that cType-based Python
    bindings are now available additionally to the usual SWIG-based ones.  For
    now they're very unstable and we'll stick to SWIG.
  * This release has been built in a pbuilder environment, which is totally
    reproducible (closes: #700406).
  * debian/control:
    - Bump version of valabind in Build-Depends to 0.7.4-3, added quilt and
      brought some of them to the present time (closes: #709718).
    - Added python and dh-python to Build-Depends to satisfy lintian.
    - Added myself in Uploaders.
    - Bump Standards-Version to 3.9.5.
    - Copy enhanced Description field from radare2.
    - Convert VCS URLs to canonical ones.
    - Added radare2-java package.
    - Added XB-Python-Version to python-radare2 (closes: #700453).
  * debian/patches:
    - Reordered and numbered.
    - add-vapi-path-to-gear-makefile: Removed.
    - 01_use_python_2.7: Refreshed and added CFLAGS support.
    - 02_bin_load_fix: The definition of bin_load() changed in libradare-0.9.6
      but it didn't in the Vala interface.  Backported from cccb90053805...
    - 03_no_forced_rpath_and_propagate_ldflags: Ported almost the same patch
      from radare2 as the problem with acr is here as well: no propagation of
      LDFLAGS and hardcoded -R (runpath) in the linking phase.
    - 04_add_openjdk_includedir: Force include of the openjdk7 in the Java
      bindings.
    - 05_fix_make_clean: Fix some leftovers in make clean.
    - 06_do_not_link_against_libpython: Moved the logic for removing libpython
      to valabind and just added --nolibpython (closes: #700450).
    - 07_add_install-ctypes_target: Added to allow installation of ctype-based
      Python bindings.
  * debian/rules:
    - Added an override for dh_clean, as config.mk is not distributed but it's
      included in the Makefile.
    - Fixed a non-existent --enable-devel flag in configure.
  * debian/copyright: Updated URL, copyrights and dates.
  * debian/compat: Bumped it to 9.  This actually made the -Wl,-z,relro flag
    to appear in the build.

 -- David Martínez Moreno <ender@debian.org>  Tue, 31 Dec 2013 23:59:12 -0800
