=== debian/control ===
Source: radare2-bindings
Section: devel
Priority: extra
Maintainer: David Martínez Moreno <ender@debian.org>
Uploaders: Sebastian Reichel <sre@debian.org>
X-Python-Version: >= 2.7
Build-Depends: debhelper (>= 9),
               quilt,
               dh-python,
               libradare2-dev (>= 0.9.6),
               python,
               python2.7,
               python2.7-dev,
               gobject-introspection,
               swig,
               valabind (>= 0.7.4-3),
               valac (>= 0.20),
               javahelper,
               openjdk-7-jdk
Standards-Version: 3.9.5
Homepage: http://www.radare.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/radare2-bindings.git
Vcs-Git: git://anonscm.debian.org/collab-maint/radare2-bindings.git

Package: python-radare2
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Breaks: bokken (<< 1.7)
XB-Python-Version: ${python:Versions}
Description: Python bindings for radare2
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (OS X, BSD, Linux, W32), stream analyzer, assembler/disassembler (rasm)
 for x86, ARM, PPC, m68k, Java, MSIL, SPARC, code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extractor
 supporting PE, mach0, ELF, class, etc. named rabin, and a block-based
 hash utility called rahash.
 .
 This package contains the Python 2 bindings.

Package: radare2-java
Section: java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Description: Java (JNI) bindings for radare2
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (OS X, BSD, Linux, W32), stream analyzer, assembler/disassembler (rasm)
 for x86, ARM, PPC, m68k, Java, MSIL, SPARC, code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extractor
 supporting PE, mach0, ELF, class, etc. named rabin, and a block-based
 hash utility called rahash.
 .
 This package contains the Java (JNI) bindings.

Package: radare2-vala
Architecture: all
Depends: ${misc:Depends}, libradare2-dev (>= 0.9.6)
Description: Vala bindings for radare2
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (OS X, BSD, Linux, W32), stream analyzer, assembler/disassembler (rasm)
 for x86, ARM, PPC, m68k, Java, MSIL, SPARC, code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extractor
 supporting PE, mach0, ELF, class, etc. named rabin, and a block-based
 hash utility called rahash.
 .
 This package contains the Vala bindings.
