=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2,javahelper

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_auto_clean:
	touch config.mk
	dh_clean
	rm -f config.mk

override_dh_auto_test:
	# do not test

override_dh_auto_build:
	cd python && make
	cd java && make

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp
	make install-python install-java install-vapi DESTDIR=$(CURDIR)/debian/tmp

override_dh_python2:
	dh_python2 -ppython-radare2 --no-guessing-versions --no-guessing-deps --namespace=r2
