=== debian/watch ===
version=3
http://radare.org/get/r2-bindings-([\d\.]+)\.tar\.xz
